#
# Conditional build:
%bcond_with	tests	# perform "make test" - needs network connection
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Socket-SSL
Summary:	IO::Socket::SSL - nearly transparent SSL encapsulation for IO::Socket::INET
Summary(pl.UTF-8):	IO::Socket::SSL - prawie przezroczysta obudowa SSL dla IO::Socket::INET
Name:		perl-IO-Socket-SSL
Version:	1.94
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	96f19be345b87f659d945764b058e750
URL:		http://search.cpan.org/dist/IO-Socket-SSL/
%if %{with tests}
BuildRequires:	perl-Net-SSLeay >= 1.33
BuildRequires:	perl-Scalar-List-Utils
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Suggests:	perl-Net-IDN-Encode
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a true drop-in replacement for IO::Socket::INET that
uses SSL to encrypt data before it is transferred to a remote server
or client. IO::Socket::SSL supports all the extra features that one
needs to write a full-featured SSL client or server application:
multiple SSL contexts, cipher selection, certificate verification, and
SSL version selection. As an extra bonus, it works perfectly with
mod_perl.

%description -l pl.UTF-8
Ten moduł jest prawdziwym zamiennikiem dla IO::Socket::INET,
używającym SSL do kodowania danych przed przesyłaniem do zdalnego
serwera lub klienta. IO::Socket::SSL wspiera wszystkie dodatkowe
rzeczy potrzebne do napisania w pełni funkcjonalnego klienta lub
serwera SSL: wiele kontekstów SSL, wybór szyfru, weryfikacja
certyfikatu, wybór wersji SSL. Ponadto wspaniale działa z mod_perlem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example/* util/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README docs/*
%{perl_vendorlib}/IO/Socket/SSL.pm
%{perl_vendorlib}/IO/Socket/SSL
%{_mandir}/man3/IO::Socket::SSL*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jun 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Socket-SSL.git;a=log;h=master

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 05b702b
- updated to 1.94

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> ad2a7fe
- updated to 1.74

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> f4d3f76
- up to 1.54

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 5c1bbeb
- up to 1.53

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ba7a25
- up to 1.44

* Thu May 19 2011 marti <marti@pld-linux.org> 19a9687
- up to 1.43

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 6ab9db1
- updated BRs

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> a03764b
- updated to 1.39

* Mon Dec 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 8f48c37
- S: perl-Net-IDN-Encode

* Mon Dec 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 74bed10
- unified

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> a26769a
- Up to 1.34

* Wed May 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 82291b1
- updated to 1.33

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> a4ee144
- updated to 1.31

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 974424c
- updated to 1.30

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> 23f2224
- up to 1.18

* Tue Apr 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 902f2f0
- updated to 1.13
- generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ab161b6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2ca91bc
- converted to UTF-8

* Tue Jul 25 2006 undefine <undefine@pld-linux.org> 56b3889
- up to 0.994 by sebek

* Sat Jul 23 2005 radek <radek@pld-linux.org> 24cb540
- version 0.97

